【クラウドサーバー】はじめにホストサーバーでしたことまとめ

ユーザー作成、asciinema,yumアップデート,EPEL,Dockerインストール済み

・screenのインストール

・実行履歴を記録するファイルの自動作成

・Sass,compassのインストール

・screenのインストール

[root@dev381 ~]# yum -y install screen
Loaded plugins: fastestmirror, langpacks
Repodata is over 2 weeks old. Install yum-cron? Or run: yum makecache fast
base | 3.6 kB 00:00
epel/x86_64/metalink | 4.8 kB 00:00
epel | 4.3 kB 00:00
extras | 3.4 kB 00:00
remi-safe | 2.9 kB 00:00
updates | 3.4 kB 00:00
(1/5): epel/x86_64/updateinfo | 791 kB 00:00
(2/5): epel/x86_64/primary_db | 4.8 MB 00:00
(3/5): extras/7/x86_64/primary_db | 190 kB 00:00
(4/5): updates/7/x86_64/primary_db | 7.7 MB 00:00
(5/5): remi-safe/primary_db | 949 kB 00:06
Determining fastest mirrors
* base: ftp.riken.jp
* epel: ftp.riken.jp
* extras: ftp.riken.jp
* remi-safe: rpms.remirepo.net
* updates: ftp.riken.jp
Resolving Dependencies
–> Running transaction check
—> Package screen.x86_64 0:4.1.0-0.23.20120314git3c2946.el7_2 will be installed
–> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository
Size
================================================================================
Installing:
screen x86_64 4.1.0-0.23.20120314git3c2946.el7_2 base 552 k

Transaction Summary
================================================================================
Install 1 Package

Total download size: 552 k
Installed size: 914 k
Downloading packages:
screen-4.1.0-0.23.20120314git3c2946.el7_2.x86_64.rpm | 552 kB 00:00
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Installing : screen-4.1.0-0.23.20120314git3c2946.el7_2.x86_64 1/1
Verifying : screen-4.1.0-0.23.20120314git3c2946.el7_2.x86_64 1/1

Installed:
screen.x86_64 0:4.1.0-0.23.20120314git3c2946.el7_2

Complete!

・実行履歴を記録するファイルの自動作成

こちらを参考に

$ vi ~/.bash_profile

中に以下追加

script /vagrant/command_log/$(date +%Y%m%d_%H%M%S)_$(whoami).log

以下まだホストサーバーではやってません
会社vagrant環境だけやったかな

・Sass,compassのインストール

まずはrubyをインストールするとこから始める

$ sudo yum install ruby

最新版が必要ならyumを使わずにインストールしよう

$ yum remove ruby

で削除できる

gem(ruby入れたら使えるパッケージ管理ツール)をアップデート

sudo gem update –system

そしてcompass,Sassをインストール

$sudo gem install compass $ sudo gem install sass

インストールされたか確認

$ gem list

sass -v
compass -v

compassのほうはインストールできなかった・・・

なんでだろ

シェアする

  • このエントリーをはてなブックマークに追加

フォローする